
import '../../api/apiResponse.dart';
import '../../api/holidays/getHolidaysCache.dart';
import '../../api/holidays/getHolidaysResponse.dart';
import '../dataHolder.dart';


class HolidaysProps extends DataHolder {
  GetHolidaysResponse? _getHolidaysResponse;
  GetHolidaysResponse get getHolidaysResponse => _getHolidaysResponse!;

  @override
  List<ApiResponse?> properties() {
    return [_getHolidaysResponse];
  }

  @override
  void run() {
    GetHolidaysCache(
      onUpdate: (GetHolidaysResponse data) => {
        _getHolidaysResponse = data,
        notifyListeners(),
      },
    );
  }
}